# DataExchange
TKVRML
VrmlData

# VrmlData_Coordinate Class Reference

`#include <VrmlData_Coordinate.hxx>`

Inheritance diagram for VrmlData_Coordinate:

[legend]

## Public Member Functions

| VrmlData_Coordinate ()
| VrmlData_Coordinate (const VrmlData_Scene &theScene, const char *theName, const size_t nPoints=0, const gp_XYZ *arrPoints=0L)
const gp_XYZ & | Coordinate (const Standard_Integer i) const
virtual Standard_EXPORT | Handle (VrmlData_Node) Clone(const Handle(VrmlData_Node)&theOther) const
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
virtual Standard_EXPORT VrmlData_ErrorStatus | Write (const char *thePrefix) const

## Detailed Description

Implementation of the node Coordinate

## Constructor & Destructor Documentation

VrmlData_Coordinate::VrmlData_Coordinate | ( |  | ) | `[inline]`

| Empty Constructor

VrmlData_Coordinate::VrmlData_Coordinate | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const size_t | nPoints = `0`,
|  | const gp_XYZ * | arrPoints = `0L`
| ) | `[inline]`

| Constructor

## Member Function Documentation

const gp_XYZ& VrmlData_Coordinate::Coordinate | ( | const Standard_Integer | i | ) | const`[inline]`

Query one point

Parameters:

  | i | index in the array of points [0 .. N-1]

Returns:
  the coordinate for the index. If index irrelevant, returns (0., 0., 0.)

virtual Standard_EXPORT VrmlData_Coordinate::Handle | ( | VrmlData_Node |  | ) | const`[virtual]`

| Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified. Reimplemented from VrmlData_Node.

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Coordinate::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Read the Node from input stream. Implements VrmlData_Node.

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Coordinate::Write | ( | const char * | thePrefix | ) | const`[virtual]`

| Write the Node to the Scene output. Reimplemented from VrmlData_Node.

The documentation for this class was generated from the following file:

- VrmlData_Coordinate.hxx